import {Component, Input} from '@angular/core';
import {NgClass, NgIf} from '@angular/common';

@Component({
  selector: 'app-signing-sidebar-item',
  templateUrl: './signing-sidebar-item.component.html',
  imports: [
    NgClass,
    NgIf
  ],
  styleUrls: ['./signing-sidebar-item.component.css']
})
export class SigningSidebarItemComponent {
  @Input() document!: { name: string; status: string; icon: string };

  getStatusClasses() {
    switch (this.document.status) {
      case 'approved':
        return 'bg-green-100 text-green-700';
      case 'pending':
        return 'bg-gray-200 text-gray-700';
      case 'review':
        return 'bg-red-600 text-white';
      default:
        return 'bg-gray-100 text-gray-700';
    }
  }
}
